SND_CTL_SYNC_VMASTER(9)

NAME
snd_ctl_sync_vmaster - Sync the vmaster slaves and hook

SYNOPSIS

void snd_ctl_sync_vmaster(struct snd_kcontrol * kcontrol, bool hook_only);

ARGUMENTS

kcontrol
    vmaster kctl element

hook_only
    sync only the hook

DESCRIPTION

Forcibly call the put callback of each slave and call the hook function to synchronize with the current value of the given vmaster element. NOP when NULL is passed to kcontrol.

COPYRIGHT